Last Comment Bug 350845 - Implement relevant parameter methods (enumerate, exists, set)
: Implement relevant parameter methods (enumerate, exists, set)
Status: RESOLVED FIXED
:
Product: Calendar
Classification: Client Software
Component: Internal Components (show other bugs)
: Trunk
: All All
: -- normal (vote)
: 1.0b1
Assigned To: Philipp Kewisch [:Fallen]
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-31 06:17 PDT by Matthew (lilmatt) Willis
Modified: 2010-02-04 11:06 PST (History)
0 users
philipp: in‑testsuite?
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Fix - v1 (10.55 KB, patch)
2009-09-01 11:50 PDT, Philipp Kewisch [:Fallen]
Mozilla: review+
Details | Diff | Splinter Review

Description Matthew (lilmatt) Willis 2006-08-31 06:17:11 PDT
spinoff from bug 322831:

"Please file another bug for implementing other relevant
parameter methods (enumerate, exists(?), set)."
Comment 1 Philipp Kewisch [:Fallen] 2009-09-01 07:59:02 PDT
Taking, I have a patch for this I will upload later. One thing I noticed during testing, it doesn't seem to be possible to use non-X parameters, they get lost on roundtrip. Is this wanted behavior? Example:

createEventFromIcalString("BEGIN:VEVENT\nX-FOO;BAR=BAZ:QUUX\nEND:VEVENT").icalString

->  X-FOO:QUUX

createEventFromIcalString("BEGIN:VEVENT\nX-FOO;X-BAR=BAZ:QUUX\nEND:VEVENT").icalString

->  X-FOO;X-BAR=BAZ:QUUX
Comment 2 Philipp Kewisch [:Fallen] 2009-09-01 11:50:47 PDT
Created attachment 397915 [details] [diff] [review]
Fix - v1

The Promised patch, with tests
Comment 3 Markus Adrario [:Taraman] 2009-11-19 11:25:15 PST
Comment on attachment 397915 [details] [diff] [review]
Fix - v1

Patch looks good.

Test passes:
TEST-PASS | 
C:\mozilla-build\msys\home\Markus\comm-1.9.1\objdir-sb-release\mozilla\_tests\xpcshell\test_calendar\unit\test_bug350845.js
| test passed

r=markus
Comment 4 Philipp Kewisch [:Fallen] 2009-11-20 03:55:00 PST
Pushed to comm-central <http://hg.mozilla.org/comm-central/rev/4f0d6958bf72>
and comm-1.9.1 <http://hg.mozilla.org/releases/comm-1.9.1/rev/03133384ab3e>

-> FIXED

Note You need to log in before you can comment on or make changes to this bug.